org.gnome.gtk

## Class RadioToolButton

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Widget
        - - org.gnome.gtk.Container
          - - org.gnome.gtk.Bin
            - - org.gnome.gtk.ToolItem
              - - org.gnome.gtk.ToolButton
                - - org.gnome.gtk.ToggleToolButton
                  - - org.gnome.gtk.RadioToolButton

- All Implemented Interfaces:
    Activatable

      public class RadioToolButton
      extends ToggleToolButton

  A `RadioToolButton` is a `ToolItem` that contains a `RadioButton`. It is a part of a group of `ToggleButtons` where only one button can be active at a time.
  Since:
    4.0.15
  Author:
    Guillaume Mazoyer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.ToggleToolButton

      `ToggleToolButton.Toggled`

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.ToolButton

      `ToolButton.Clicked`

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Widget

      `Widget.ButtonPressEvent, Widget.ButtonReleaseEvent, Widget.Destroy, Widget.Draw, Widget.EnterNotifyEvent, Widget.FocusInEvent, Widget.FocusOutEvent, Widget.Hide, Widget.KeyPressEvent, Widget.KeyReleaseEvent, Widget.LeaveNotifyEvent, Widget.MapEvent, Widget.MotionNotifyEvent, Widget.PopupMenu, Widget.ScrollEvent, Widget.SizeAllocate, Widget.UnmapEvent, Widget.VisibilityNotifyEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadioToolButton(RadioGroup group)` Create a new RadioToolButton and add it to a RadioGroup.
    `RadioToolButton(RadioGroup group, Stock stock)` Create a new RadioToolButton using a `Stock item` and add it to a RadioGroup.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RadioGroup` | `getGroup()` Get the RadioGroup that encloses this RadioToolButton and the others that belonging to the same mutual exclusion group.

    - ### Methods inherited from class org.gnome.gtk.ToggleToolButton

      `connect, getActive, setActive`

    - ### Methods inherited from class org.gnome.gtk.ToolButton

      `connect, getLabel, getLabelWidget, setLabel, setLabelWidget`

    - ### Methods inherited from class org.gnome.gtk.ToolItem

      `getExpand, getRelatedAction, setExpand, setIsImportant, setRelatedAction`

    - ### Methods inherited from class org.gnome.gtk.Bin

      `getChild`

    - ### Methods inherited from class org.gnome.gtk.Container

      `add, getChildren, remove, setBorderWidth`

    - ### Methods inherited from class org.gnome.gtk.Widget

      `activate, addEvents, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, destroy, getAllocatedHeight, getAllocatedWidth, getAllocation, getCanDefault, getCanFocus, getHasFocus, getName, getParent, getPreferredHeightForWidthMinimum, getPreferredHeightForWidthNatural, getPreferredHeightMinimum, getPreferredHeightNatural, getPreferredWidthForHeightMinimum, getPreferredWidthForHeightNatural, getPreferredWidthMinimum, getPreferredWidthNatural, getRequestMode, getRequisition, getSensitive, getStyleContext, getToplevel, getWindow, grabAdd, grabDefault, grabFocus, grabRemove, hide, isSensitive, overrideBackground, overrideColor, overrideFont, queueDraw, queueDrawArea, realize, setAlignHorizontal, setAlignVertical, setCanDefault, setCanFocus, setEvents, setExpandHorizontal, setExpandVertical, setName, setSensitive, setSizeRequest, setTooltipMarkup, setTooltipText, show, showAll`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadioToolButton

          public RadioToolButton(RadioGroup group)

      Create a new RadioToolButton and add it to a RadioGroup.
      Since:
        4.0.15

    - #### RadioToolButton

          public RadioToolButton(RadioGroup group,
                         Stock stock)

      Create a new RadioToolButton using a `Stock item` and add it to a RadioGroup.
      Since:
        4.0.15

  - ### Method Detail

    - #### getGroup

          public RadioGroup getGroup()

      Get the RadioGroup that encloses this RadioToolButton and the others that belonging to the same mutual exclusion group.
      Since:
        4.0.15